# Gimp.ColorTransform.can_gegl_copy

    function can_gegl_copy(src_profile: Gimp.ColorProfile, dest_profile: Gimp.ColorProfile): Boolean {
        // Gjs wrapper for gimp_color_transform_can_gegl_copy()
    }

This function checks if a GimpColorTransform is needed at all.

Since 2.10

src_profile

  source Gimp.ColorProfile

dest_profile

  destination Gimp.ColorProfile

Returns

  true if pixels can be correctly converted between src_profile and dest_profile by simply using gegl_buffer_copy(), babl_process() or similar.